ProgressBarAnimatedBg (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.renderkit.html.images.ProgressBarAnimatedBg class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class ProgressBarAnimatedBg

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.AnimationResource
              org.richfaces.renderkit.html.images.ProgressBarAnimatedBg

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

    public class ProgressBarAnimatedBg

extends org.ajax4jsf.resource.AnimationResource

Field Summary

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`ProgressBarAnimatedBg()`

Method Summary
`protected java.lang.Object` | `deserializeData(byte[] objectArray)`
`protected java.lang.Object` | `getDataToStore(javax.faces.context.FacesContext context, java.lang.Object data)`
`protected java.awt.Dimension` | `getFrameSize(org.ajax4jsf.resource.ResourceContext resourceContext)`
`protected int` | `getNumberOfFrames()`
`protected int` | `getRepeat()`
`boolean` | `isCacheable(org.ajax4jsf.resource.ResourceContext ctx)`
`protected void` | `paint(org.ajax4jsf.resource.ResourceContext context, java.awt.Graphics2D g2d, int frameIndex)`

Methods inherited from class org.ajax4jsf.resource.AnimationResource
`getFrameDelays, send`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getResourceAsStream, getUri, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressBarAnimatedBg

    public ProgressBarAnimatedBg()

Method Detail

### getFrameSize

    protected java.awt.Dimension getFrameSize(org.ajax4jsf.resource.ResourceContext resourceContext)

  Specified by:
    `getFrameSize` in class `org.ajax4jsf.resource.AnimationResource`

### isCacheable

    public boolean isCacheable(org.ajax4jsf.resource.ResourceContext ctx)

  Specified by:
    `isCacheable` in interface `org.ajax4jsf.resource.InternetResource`
  Overrides:
    `isCacheable` in class `org.ajax4jsf.resource.InternetResourceBase`
  See Also:
    `InternetResourceBase.isCacheable(ResourceContext)`

### getRepeat

    protected int getRepeat()

  Overrides:
    `getRepeat` in class `org.ajax4jsf.resource.AnimationResource`

### getNumberOfFrames

    protected int getNumberOfFrames()

  Specified by:
    `getNumberOfFrames` in class `org.ajax4jsf.resource.AnimationResource`

### paint

    protected void paint(org.ajax4jsf.resource.ResourceContext context,
                         java.awt.Graphics2D g2d,
                         int frameIndex)

  Specified by:
    `paint` in class `org.ajax4jsf.resource.AnimationResource`

### getDataToStore

    protected java.lang.Object getDataToStore(javax.faces.context.FacesContext context,
                                              java.lang.Object data)

  Overrides:
    `getDataToStore` in class `org.ajax4jsf.resource.InternetResourceBase`
  See Also:
    `InternetResourceBase.getDataToStore(FacesContext, Object)`

### deserializeData

    protected java.lang.Object deserializeData(byte[] objectArray)

  Overrides:
    `deserializeData` in class `org.ajax4jsf.resource.InternetResourceBase`
  See Also:
    `InternetResourceBase.deserializeData(byte[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.